# Generated by Django 3.0.7 on 2020-08-19 12:47

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("oidc_provider", "0026_client_multiple_response_types"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="OIDCClientExtension",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "is_restricted",
                    models.BooleanField(
                        default=False,
                        help_text="If enabled, only managers and explicitly allowed groups will be allowed to sign in with this client",
                    ),
                ),
                (
                    "client",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="oidc_provider.Client",
                    ),
                ),
            ],
            options={"verbose_name": "OIDC client extension"},
        ),
        migrations.CreateModel(
            name="OIDCClientExtensionGroup",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "client_can_see_private_subgroups",
                    models.BooleanField(default=False),
                ),
                (
                    "group_managers_can_manage_client",
                    models.BooleanField(default=False),
                ),
                ("group_is_allowed", models.BooleanField(default=True)),
                (
                    "_roles",
                    models.CharField(blank=True, max_length=150, verbose_name="roles"),
                ),
                (
                    "group",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="cri_models.CRIGroup",
                    ),
                ),
                (
                    "oidc_client_extension",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="cri_auth.OIDCClientExtension",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="oidcclientextension",
            name="groups",
            field=models.ManyToManyField(
                blank=True,
                related_name="oidcclientextension",
                through="cri_auth.OIDCClientExtensionGroup",
                to="cri_models.CRIGroup",
            ),
        ),
        migrations.AddField(
            model_name="oidcclientextension",
            name="managers",
            field=models.ManyToManyField(blank=True, to=settings.AUTH_USER_MODEL),
        ),
        migrations.CreateModel(
            name="LegacyRole",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.SlugField(unique=True)),
                (
                    "members",
                    models.ManyToManyField(blank=True, to=settings.AUTH_USER_MODEL),
                ),
            ],
            options={"ordering": ("name",), "abstract": False},
        ),
        migrations.CreateModel(
            name="LegacyClassGroup",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.SlugField(unique=True)),
                (
                    "members",
                    models.ManyToManyField(blank=True, to=settings.AUTH_USER_MODEL),
                ),
            ],
            options={"ordering": ("name",), "abstract": False},
        ),
    ]
