# Generated by Django 3.1.1 on 2020-09-13 22:25

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("oidc_provider", "0026_client_multiple_response_types"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("cri_auth", "0003_auto_20200912_1422"),
    ]

    operations = [
        migrations.CreateModel(
            name="ConnectionLogEntry",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "username",
                    models.CharField(blank=True, editable=False, max_length=150),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                (
                    "kind",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("password", "Sign-in with password"),
                            (
                                "kerberos_spnego",
                                "Sign-in with Kerberos (SPNEGO)",
                            ),
                            ("ldap_password", "Sign-in with LDAP (password)"),
                            ("office365_oauth2", "Sign-in with Office365 SSO"),
                            ("oidc_client", "OIDC authentication"),
                        ],
                        max_length=20,
                    ),
                ),
                (
                    "client",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="oidc_provider.client",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
