# Generated by Django 3.2.5 on 2021-07-31 02:30

from django.db import migrations, models
import uuid


def gen_slug(apps, schema_editor):
    OIDCClientExtension = apps.get_model("cri_auth", "OIDCClientExtension")
    for row in OIDCClientExtension.objects.all():
        row.slug = uuid.uuid4()
        row.save(update_fields=("slug",))


class Migration(migrations.Migration):

    dependencies = [
        ("cri_auth", "0007_auto_20210111_1105"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="authgroupsclientsmapping",
            options={"verbose_name": "Groups-Clients mapping"},
        ),
        migrations.AddField(
            model_name="oidcclientextension",
            name="slug",
            field=models.SlugField(blank=True),
        ),
        migrations.RunPython(gen_slug, reverse_code=migrations.RunPython.noop),
        migrations.AlterField(
            model_name="authgroupsclientsmapping",
            name="is_restricted",
            field=models.BooleanField(
                default=False,
                help_text="If enabled, only managers and explicitly allowed groups will be allowed to sign in with the clients",
            ),
        ),
    ]
