# Generated by Django 3.1.1 on 2020-09-05 22:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [("cri_models", "0001_initial")]

    operations = [
        migrations.CreateModel(
            name="CardAttribute",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("slug", models.SlugField()),
                ("description", models.TextField(blank=True)),
                (
                    "kind",
                    models.CharField(
                        choices=[
                            ("text", "Text value"),
                            ("qrcode", "QR Code"),
                            ("picture", "Picture URL"),
                            ("mapped_text", "text value from user data"),
                            ("mapped_qrcode", "QR Code from user data"),
                            ("mapped_picture", "Picture URL from user data"),
                        ],
                        max_length=20,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="CardTemplate",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=150, unique=True)),
                ("template", models.FileField(upload_to="")),
                ("priority", models.PositiveSmallIntegerField(default=100)),
                (
                    "attributes",
                    models.ManyToManyField(to="cri_cards.CardAttribute"),
                ),
                ("groups", models.ManyToManyField(to="cri_models.CRIGroup")),
            ],
            options={
                "ordering": ("-priority", "name"),
                "permissions": (("issue_card", "Can issue cards"),),
            },
        ),
        migrations.CreateModel(
            name="CardAttributeValue",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("value", models.CharField(max_length=150)),
                ("priority", models.PositiveSmallIntegerField(default=100)),
                (
                    "attribute",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="cri_cards.cardattribute",
                    ),
                ),
                ("groups", models.ManyToManyField(to="cri_models.CRIGroup")),
            ],
            options={"ordering": ("attribute", "-priority", "value")},
        ),
    ]
