# Generated by Django 3.1.1 on 2020-10-08 23:15

from django.db import migrations, models
from django.utils.text import slugify


def add_slug_value(apps, schema_editor):
    CardTemplate = apps.get_model("cri_cards", "CardTemplate")
    for template in CardTemplate.objects.filter(slug__exact=""):
        template.slug = slugify(template.name)
        template.save()


class Migration(migrations.Migration):

    dependencies = [("cri_cards", "0005_cardtemplate_slug")]

    operations = [
        migrations.RunPython(add_slug_value),
        migrations.AlterField(
            model_name="cardtemplate",
            name="slug",
            field=models.SlugField(unique=True),
        ),
    ]
