# Generated by Django 3.1.1 on 2020-09-08 14:36

import cri_models.fields
from django.conf import settings
import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [("cri_models", "0001_initial")]

    operations = [
        migrations.AlterModelOptions(
            name="cricomputedmembership",
            options={"verbose_name": "CRI Computed Membership"},
        ),
        migrations.AlterModelOptions(
            name="cricurrentcomputedmembership",
            options={
                "verbose_name": "CRI Current Computed Memberships",
                "verbose_name_plural": "CRI Current Computed Memberships",
            },
        ),
        migrations.AlterModelOptions(
            name="crimembership", options={"verbose_name": "CRI Membership"}
        ),
        migrations.AlterField(
            model_name="crigroup",
            name="kind",
            field=models.CharField(
                choices=[
                    ("assistant", "assistant"),
                    ("association", "association"),
                    ("campus", "campus"),
                    ("class", "class"),
                    ("course", "course"),
                    ("curriculum", "curriculum"),
                    ("department", "department"),
                    ("laboratory", "laboratory"),
                    ("major", "major"),
                    ("other", "other"),
                    ("semester", "semester"),
                    ("system", "system"),
                    ("year", "year"),
                ],
                default="class",
                max_length=128,
            ),
        ),
        migrations.AlterField(
            model_name="crigroup",
            name="managers",
            field=models.ManyToManyField(
                blank=True,
                help_text="Users allowed to manage this group",
                related_name="managed_groups",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AlterField(
            model_name="crigroup",
            name="next_group",
            field=models.ForeignKey(
                blank=True,
                help_text="Group into which to move the current group members at the end of their membership",
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="previous_groups",
                to="cri_models.crigroup",
            ),
        ),
        migrations.AlterField(
            model_name="sshpublickey",
            name="key",
            field=cri_models.fields.SSHPublicKeyField(
                unique=True,
                validators=[
                    cri_models.fields.SSHPublicKeyField.sshpubkey_validator,
                    cri_models.fields.SSHPublicKeyField.sshpubkey_validator,
                    cri_models.fields.SSHPublicKeyField.sshpubkey_validator,
                ],
            ),
        ),
    ]
