# Generated by Django 3.1.2 on 2020-11-02 17:47

import cri_models.fields
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    dependencies = [("cri_models", "0007_auto_20201018_1335")]

    operations = [
        migrations.CreateModel(
            name="CRIUserCreationRequest",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("username", models.CharField(blank=True, max_length=100)),
                ("email", models.EmailField(blank=True, max_length=254)),
                (
                    "first_name",
                    models.CharField(
                        blank=True,
                        help_text="commonly used first name",
                        max_length=100,
                    ),
                ),
                (
                    "last_name",
                    models.CharField(
                        blank=True,
                        help_text="commonly used last name",
                        max_length=100,
                    ),
                ),
                (
                    "uid",
                    cri_models.fields.UnixIDField(
                        blank=True,
                        help_text="Unix user ID",
                        null=True,
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(65535),
                        ],
                        verbose_name="UID",
                    ),
                ),
                ("birthdate", models.DateField(blank=True, null=True)),
                (
                    "phone",
                    phonenumber_field.modelfields.PhoneNumberField(
                        blank=True,
                        help_text="Mobile phone number",
                        max_length=128,
                        null=True,
                        region=None,
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(blank=True, editable=False, null=True),
                ),
                (
                    "created_by",
                    models.ForeignKey(
                        blank=True,
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="creationrequest_creator",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "created_user",
                    models.ForeignKey(
                        blank=True,
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="creationrequest",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "old_account",
                    models.OneToOneField(
                        blank=True,
                        help_text="Past account of this user",
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="new_account_usercreationrequest",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "primary_group",
                    models.ForeignKey(
                        blank=True,
                        default=1,
                        limit_choices_to={"gid__isnull": False},
                        null=True,
                        on_delete=django.db.models.deletion.SET_DEFAULT,
                        related_name="primary_group_usercreationrequest",
                        to="cri_models.crigroup",
                    ),
                ),
            ],
            options={"verbose_name": "CRI User creation request"},
        )
    ]
