# Generated by Django 3.1.7 on 2021-03-13 12:11

import ckeditor.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [("cri_models", "0009_auto_20210205_1452")]

    operations = [
        migrations.CreateModel(
            name="CRIUserNoteLabel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("slug", models.SlugField()),
            ],
            options={"verbose_name": "CRI User note label"},
        ),
        migrations.AlterField(
            model_name="cricomputedmembership",
            name="group",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="memberships",
                to="cri_models.crigroup",
            ),
        ),
        migrations.CreateModel(
            name="CRIUserNoteScope",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=64)),
                (
                    "external_ref_template",
                    models.CharField(blank=True, max_length=256),
                ),
                (
                    "external_ref_url_template",
                    models.CharField(blank=True, max_length=256),
                ),
                (
                    "readers",
                    models.ManyToManyField(
                        blank=True,
                        related_name="criusernotescope_readers",
                        to="cri_models.CRIGroup",
                    ),
                ),
                (
                    "writers",
                    models.ManyToManyField(
                        blank=True,
                        related_name="criusernotescope_writers",
                        to="cri_models.CRIGroup",
                    ),
                ),
            ],
            options={"verbose_name": "CRI User note scope"},
        ),
        migrations.CreateModel(
            name="CRIUserNote",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("event_title", models.CharField(blank=True, max_length=128)),
                (
                    "event_kind",
                    models.CharField(
                        blank=True,
                        choices=[
                            (None, "not specified"),
                            ("meeting", "meeting"),
                            ("call", "call"),
                            ("email", "email"),
                            ("other", "other"),
                        ],
                        max_length=32,
                    ),
                ),
                ("event_date", models.DateField(blank=True, null=True)),
                (
                    "created_at",
                    models.DateTimeField(blank=True, editable=False, null=True),
                ),
                (
                    "updated_at",
                    models.DateTimeField(blank=True, editable=False, null=True),
                ),
                ("content", ckeditor.fields.RichTextField(blank=True)),
                ("external_ref", models.CharField(blank=True, max_length=64)),
                ("secret", models.BooleanField(default=False)),
                (
                    "author",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="criusernote_author",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "labels",
                    models.ManyToManyField(
                        blank=True, to="cri_models.CRIUserNoteLabel"
                    ),
                ),
                (
                    "scope",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="cri_models.criusernotescope",
                    ),
                ),
                (
                    "updated_by",
                    models.ForeignKey(
                        blank=True,
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="criusernote_updated_by",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "CRI User note",
                "ordering": ("-created_at",),
            },
        ),
    ]
