# Generated by Django 4.2.15 on 2024-09-20 13:32

import cri_models.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import ldapdb.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ("cri_models", "0022_cricomputedmembership_view"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="criusercreationrequest",
            options={
                "permissions": [
                    (
                        "viewall_criusercreationrequest",
                        "Can view all CRI User creation requests",
                    )
                ],
                "verbose_name": "CRI User creation request",
            },
        ),
        migrations.AddField(
            model_name="criusercreationrequest",
            name="campus",
            field=models.ForeignKey(
                blank=True,
                limit_choices_to={"kind": "campus"},
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="cri_models.crigroup",
            ),
        ),
        migrations.AddField(
            model_name="criusercreationrequest",
            name="external_email",
            field=models.EmailField(
                blank=True, help_text="external e-mail address", max_length=254
            ),
        ),
        migrations.AddField(
            model_name="criusercreationrequest",
            name="requested_at",
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AddField(
            model_name="criusercreationrequest",
            name="requested_by",
            field=models.ForeignKey(
                blank=True,
                editable=False,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="creationrequest_requestor",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.AddField(
            model_name="criusercreationrequest",
            name="status",
            field=models.SmallIntegerField(
                blank=True,
                choices=[
                    (1, "New"),
                    (2, "Cancelled"),
                    (3, "Work in progress"),
                    (4, "Created"),
                    (5, "Rejected"),
                ],
                default=1,
            ),
        ),
        migrations.CreateModel(
            name="CRIUserCreationRequestScope",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField()),
                (
                    "groups",
                    models.ManyToManyField(
                        blank=True,
                        help_text="Groups that can request in this scope",
                        related_name="user_creation_request_scopes",
                        to="cri_models.crigroup",
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="criusercreationrequest",
            name="scope",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="creationrequests",
                to="cri_models.criusercreationrequestscope",
            ),
        ),
    ]
